@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@300;400;500;600&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Raleway', sans-serif;
}

body {
    padding: 10px;
}

.wrapper {
    margin: 100px auto;
    max-width: 1100px;
}

.wrapper nav {
    display: flex;
    justify-content: center;
}

nav .items {
    display: flex;
    max-width: 720px;
    width: 100%;
    justify-content: space-between;
}

nav .items .item{
    padding: 7px 25px;
    font-size: 18px;
    font-weight: 600;
    color: #252525;
    border: 2px solid #252525;
    border-radius: 50px;
    cursor: pointer;
    transition: all 0.3s ease;
}
nav .items .active,
nav .items .item:hover {
    color: #fff;
    background-color: #252525;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    margin-top: 30px;
}

.gallery .image {
    width: calc(100% / 4);
    padding: 10px;
}

.gallery .image.hide {
    display: none;
}

.gallery .image.show {
    animation: animate 0.4s ease;
}

@keyframes animate {
    0% {
        transform: scale(0.5);
    }
    100% {
        transform: scale(1);
    }
}

.gallery .image span {
    display: flex;
    width: 100%;
    overflow: hidden;
}

.gallery .image img {
    width: 100%;
    vertical-align: middle;
    transition: all 0.3s ease;
}

.gallery .image:hover img {
    transform: scale(1.1);
}

@media (max-width: 1000px){
    .gallery .image {
        width: calc(100% / 3);
    }
}

@media (max-width: 800px){
    .gallery .image {
        width: calc(100% / 2);
    }
}

@media (max-width: 700px){
    nav .items {
        max-width: 600px;
    }

    nav .items .item {
        padding: 7px 15px;
    }
}

@media (max-width: 600px){
    nav .items {
        flex-wrap: wrap;
        justify-content: center;
    }

    nav .items .item {
        margin: 5px;
    }

    .gallery .image {
        width: 100%;
    }
}